Skip to main content
Get Preferences

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

Specifications

GetPreferences: Get one or more preferences based on a set of specifications.
The prefDisplayvalue and prefDisplaytooltip are blank (faster processing relative to GetPreferencesWithDisplayValues)

Specifications
object[]

Response

OK

Level
enum<string>

Preference level, using the standard enumerated type. Undefined is returned for preferences that do not have a current setting.

Available options:
Undefined,
HardDefault,
SystemWide,
Database,
Group,
Individual,
PC
RawValue
string

Preference value

Specification
object

Preference specification, consisting of the section name and key name Carrier object for PreferenceSpec. Services for the PreferenceSpec Carrier is available from the Preference Agent.

DisplayValue
string

Display value, populated when asked for. Suitable for binding display-datasource in lists, etc. Formatted using CultureDataFormatter.

DisplayTooltip
string

Display tooltip, populated when asked for. Suitable for binding display-datasource in lists, etc. Formatted using CultureDataFormatter.

DisplayType
enum<string>

Display type, populated when asked for.

Available options:
Unknown,
Number,
Text,
Bool,
ListOfValues,
ListTableRef,
TimeList,
ContactID,
PersonID,
ProjectID,
SelectionID,
PosSize,
TimeZone,
Time,
Password,
MultiLineText
TabOrder
object

Carrier object for TabOrder. Services for the TabOrder Carrier is available from the Preference Agent.

TargetId
integer<int32>

The id of the target row. The table it points at is specified by the preference type.

PrefDescId
integer<int32>

The id of the prefdesc this preference is connected to

TableName
string

For DisplayType=PrefDescValueType.ListTableRef, TableName will contain the name of the table which the value reference to.

UserPreferenceId
integer<int32>

The id of the user preference

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.